[bug]rpm2cpio error libnssutil3.so in porteus-v1_rc1-x86

Please reproduce your error on a second machine before posting, and check the error by running without saved changes or extra modules (See FAQ No. 13, "How to report a bug"). For unstable Porteus versions (alpha, beta, rc) please use the relevant thread in our "Development" section.
Post Reply
Proxx
White ninja
White ninja
Posts: 10
Joined: 11 May 2011, 20:13
Location: Home

[bug]rpm2cpio error libnssutil3.so in porteus-v1_rc1-x86

Post#1 by Proxx » 15 May 2011, 11:19

when i am trying to convert a rpm to cpio rpm2cpio generates this error:
rpm2cpio: error while loading shared libraries: libnssutil3.so: cannot open shared object file: No such file or directory

to fix it i need to link some .so files from the firefox directory to /lib

Code: Select all

ln -s /usr/lib/firefox-4.0.1/libnssutil3.so /lib/
ln -s /usr/lib/firefox-4.0.1/libplc4.so /lib/
ln -s /usr/lib/firefox-4.0.1/libplds4.so /lib/
ln -s /usr/lib/firefox-4.0.1/libnspr4.so /lib/
but the there is still something going on with rpm2cpio but i cant figure out what.

beny
Full of knowledge
Full of knowledge
Posts: 720
Joined: 02 Jan 2011, 11:33
Location: italy

Re: [bug]rpm2cpio error libnssutil3.so in porteus-v1_rc1-x8

Post#2 by beny » 15 May 2011, 12:01

if you can use a slackware package is better to compatibility check, tgz or txz or source.

Posted after 1 minute 10 seconds:
Re: [bug]rpm2cpio error libnssutil3.so in porteus-v1_rc1-x86
btw,check the deps if needed

Proxx
White ninja
White ninja
Posts: 10
Joined: 11 May 2011, 20:13
Location: Home

Re: [bug]rpm2cpio error libnssutil3.so in porteus-v1_rc1-x8

Post#3 by Proxx » 15 May 2011, 12:12

i know for all other packages i use slackyd or online repository's for slackware packages. but this package can only be found in .deb ipk and rpm
now i have created the package in the 0.9 build and converted it so my problem is solved.
but the rpm2cpio problem in the 1.0 rc still exists. maybe it is an very low priority bug but it still is a bug ;)

User avatar
brokenman
Site Admin
Site Admin
Posts: 5436
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: [bug]rpm2cpio error libnssutil3.so in porteus-v1_rc1-x8

Post#4 by brokenman » 15 May 2011, 13:03

Thanks. I also found this problem while using slackyd to resolve missing libraries. I will include libnssutil3.so and required soft links in rc2 release. The cpio problem still exists though.
How do i become super user?
Wear your underpants on the outside and put on a cape.

Post Reply